## org.apache.lucene.facet.util
Class RandomSample.Sorted

    java.lang.Object
      org.apache.lucene.facet.util.RandomSample.Sorted

Enclosing class:
  RandomSample

    public static class RandomSample.Sorted

extends Object

For specifying whether to sort the sample.

Field Summary
`static RandomSample.Sorted` `NO` Specifies not sorting the resulting sample.
`static RandomSample.Sorted` `YES` Specifies sorting the resulting sample before returning.

Method Summary
`String` `toString()` Prints this selector's name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### YES

    public static final RandomSample.Sorted YES

  Specifies sorting the resulting sample before returning.

### NO

    public static final RandomSample.Sorted NO

  Specifies not sorting the resulting sample.

Method Detail

### toString

    public String toString()

  Prints this selector's name.

  Overrides:
    `toString` in class `Object`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.